org.eclipse.ease.modules.unittest.components

## Class TestFile

- java.lang.Object
- - org.eclipse.ease.modules.unittest.components.TestEntity
  - - org.eclipse.ease.modules.unittest.components.TestComposite
    - - org.eclipse.ease.modules.unittest.components.TestFile

All Implemented Interfaces:
  Comparable<TestFile>, ITestListener

    public class TestFile
    extends TestComposite
    implements Comparable<TestFile>

### Field Summary

### Fields inherited from class org.eclipse.ease.modules.unittest.components.TestComposite

`CURRENT_TESTCOMPOSITE`

### Constructor Summary

Constructors
Constructor and Description
`TestFile(TestSuite suite, String fileLocation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(TestFile o)`
`void` `execute()`
`Collection<? extends TestEntity>` `getChildren()`
`String` `getCodeFragment(String identifier)`
`Object` `getFile()`
`TestSuite` `getTestSuite()`
`void` `reset()`
`void` `terminate()`
`String` `toString()`

### Methods inherited from class org.eclipse.ease.modules.unittest.components.TestComposite

`addTest, addTestResult, addTestResult, endTest, getCurrentTest, getStatus, getTests, notify`

### Methods inherited from class org.eclipse.ease.modules.unittest.components.TestEntity

`addTestListener, getExecutionTime, getParent, getStartTime, removeTestListener, setStatus`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestFile

    public TestFile(TestSuite suite,
                    String fileLocation)

### Method Detail

#### execute

    public void execute()

#### getCodeFragment

    public String getCodeFragment(String identifier)

#### terminate

    public void terminate()

#### getTestSuite

    public TestSuite getTestSuite()

#### getChildren

    public Collection<? extends TestEntity> getChildren()

Specified by:
  `getChildren` in class `TestComposite`

#### reset

    public void reset()

Overrides:
  `reset` in class `TestComposite`

#### compareTo

    public int compareTo(TestFile o)

Specified by:
  `compareTo` in interface `Comparable<TestFile>`

#### getFile

    public Object getFile()

Specified by:
  `getFile` in class `TestComposite`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`